#include "Adc64SystemFsm.h"

#include <QDebug>

Adc64SystemFsm::Adc64SystemFsm(QObject *p)
    : AdcDeviceMgrFsm(p)
{
    setObjectName(__FUNCTION__);
}

qint64 Adc64SystemFsm::stateTimeoutMs(const FsmState &state) const
{
    switch (state) {
    case FsmState::Calibrate: return 180e3; // 3min
    default:
        return AdcDeviceMgrFsm::stateTimeoutMs(state);
    }
}
