#include "BmnTrcMainWindow.h"
#include "BmnTrcApp.h"
#include "BmnTrcCore.h"

#include "base/app/RunGuard.h"
#include "base/Globals.h"
#include "mongo/PrintConfigMap.h"

int main(int argc, char *argv[])
{
    Globals::setDaqModuleType(DaqModule::Type::Trc);
    BmnTrcApp daqApp(argc, argv);
    daqApp.init();

    if(daqApp.hasConfigListOpt())
        printConfigMap();

    RunGuard::runSingleOrExit();

    if(daqApp.isGuiApp()) {
        BmnTrcMainWindow *mw(new BmnTrcMainWindow);
        mw->show();
    }
    BmnTrcCore core;

    return daqApp.exec();
}
