#include "TtbStatus.h"

TtbStatus &TtbStatus::operator-=(const TtbStatus &st){
    spillNum -= st.spillNum;
    eventNR -= st.eventNR;
    globEvNum -= st.globEvNum;
    systemTs -= st.systemTs;
    statistic -=st.statistic;
    return *this;
}

TtbStatistic &TtbStatistic::operator-=(const TtbStatistic &st){
    ettcError -= st.ettcError;
    ttcTrig -= st.ttcTrig;
    ethRxError -= st.ethRxError;
    ethTxError -= st.ethTxError;
    ethRegioError -= st.ethRegioError;
    ethRegioTimeout -= st.ethRegioTimeout;
    spillCnt -= st.spillCnt;
    ttbBusyCnt -= st.ttbBusyCnt;
    for(int ch=0;ch<TTB_CH_COUNT;++ch){
        linkUp[ch] -= st.linkUp[ch];
        linkError[ch] -= st.linkError[ch];
        linkTimeout[ch] -= st.linkTimeout[ch];
        linkErrDisable[ch] -= st.linkErrDisable[ch];

        linkErrDisableBusySet[ch] -= st.linkErrDisableBusySet[ch];
        linkErrDisableBusyUnset[ch] -= st.linkErrDisableBusyUnset[ch];
        linkErrDisableBusyMStream[ch] -= st.linkErrDisableBusyMStream[ch];

        chBusyCnt[ch] -= st.chBusyCnt[ch];
    }
    return *this;
}
