#ifndef EVBFILESPLITTERCONFIG_H
#define EVBFILESPLITTERCONFIG_H

#include <QMetaType>

class QDataStream;
class QDebug;

struct EvbFileSplitterConfig
{
    friend bool operator==(const EvbFileSplitterConfig &, const EvbFileSplitterConfig &) = default;
    inline bool hasAnyEn() const {
        return evNumEn || fileSizeEn || timeEn;
    }

    bool evNumEn = false;
    bool fileSizeEn = false;
    bool timeEn = false;
    char padding = 0;
    int evNumFileSplit = 1000;
    quint64 fileSizeSplit = 100e6; // in bytes
    int timeFileSplit = 60; // in sec
};
Q_DECLARE_METATYPE(EvbFileSplitterConfig)

#endif // EVBFILESPLITTERCONFIG_H
