#ifndef AD5622MODULE_H
#define AD5622MODULE_H

#include <optional>

#include "device-modules/BaseDeviceModule.h"

struct Ad5622Config;
namespace mlink { class RegOpVector; }

class Ad5622Module : public BaseDeviceModule<Ad5622Module>
{
public:
    explicit Ad5622Module(const MregBusInterface &bus) : BaseDeviceModule(bus) {}

    static QList<AFI_SDB_ID> getSupportedSdbIds();

    bool writeConfig(const Ad5622Config &cfg);
};

#endif // AD5622MODULE_H
