#ifndef DESERIALIZERSCONTROLBUILDPARAMS_H
#define DESERIALIZERSCONTROLBUILDPARAMS_H

#include <QMetaType>

struct DeserializersControlBuildParams
{
    friend bool operator==(const DeserializersControlBuildParams &, const DeserializersControlBuildParams &) = default;
    bool isValid() const
    {
        return desCnt && chPerChip;
    }
    inline int getNCh() const { return desCnt * chPerChip; }

    // quint32 id = 0; // missing register in module
    quint8 desCnt=0;
    quint8 chPerChip=0;
};
Q_DECLARE_METATYPE(DeserializersControlBuildParams)

#endif // DESERIALIZERSCONTROLBUILDPARAMS_H
