#ifndef ONEWIREARRAYMODULE_H
#define ONEWIREARRAYMODULE_H

#include <optional>
#include "device-modules/BaseDeviceModule.h"

struct BMStatus;

class OneWireArrayModule : public BaseDeviceModule<OneWireArrayModule>
{
public:
    explicit OneWireArrayModule(const MregBusInterface &bus);

    static QList<AFI_SDB_ID> getSupportedSdbIds();

    std::optional<BMStatus> readStatus();
    void post_init() override;
};

#endif // ONEWIREARRAYMODULE_H
