#include "DacCalibration.h"

#include "device-utils/Ad5328ConfigBuilder.h"

#include "device-modules/Ad5328/Ad5328Module.h"
#include "device-modules/HitCore/HitCoreModule.h"

bool DacCalibration::writeLevels(const QMap<int, int> &values)
{
    if (!thresholdMod)
        return {};
    auto ad5328Config = dacConfigBuilder.build(values);
    return thresholdMod->writeConfig(ad5328Config);
}

//bool DacCalibration::readStates(QVector<double> *states)
//{
//    if (!hitCore)
//        return {};
//    const auto &chStates = getChStates();
//    if (!chStates.has_value())
//        return {};
//    if (states) {
//        for (int i=0; i<chStates->size(); i++)
//            (*states)[i] = (*chStates)[i];
//    }
//    return true;
//}

//std::optional<QVector<bool>> DacCalibration::getChStates()
//{
//    if (!hitCore)
//        return {};

//    const QVector<quint64> &dacSt = hitCore->readCmpState(num_samples);
//    if (dacSt.empty())
//        return {};

//    int nCh = dacSt.size();
//    QVector<bool> chState(nCh, false);
//    QVector<int> chCnt(nCh, 0);

//    for (int i = 0; i < dacSt.size(); ++i) {
//        for (int ch = 0; ch < nCh; ++ch) {
//            if (dacSt[i] & (1 << ch))
//                ++chCnt[ch];
//        }
//    }

//    bool isMin = true, isMax = true;
//    for (int ch = 0; ch < nCh; ++ch) {
//        const bool st = chState[ch] = chCnt[ch] > (num_samples / 2);
//        isMin &= st;
//        isMax &= !st;
//    }
//    minFound |= isMin;
//    maxFound |= isMax;

//    return chState;
//}
