#ifndef COMMONSPINBOXDELEGATE_H
#define COMMONSPINBOXDELEGATE_H

#include <QItemDelegate>

class QSpinBox;

class CommonSpinBoxDelegate : public QItemDelegate
{
    Q_OBJECT
public:
    CommonSpinBoxDelegate(QObject *parent = 0);
    QWidget *createEditor(QWidget *parent,
                          const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;
    void setEditorData(QWidget *editor,
                       const QModelIndex &index) const;
    void setModelData(QWidget *editor,
                      QAbstractItemModel *model,
                      const QModelIndex &index) const;
    void updateEditorGeometry(QWidget *editor,
                              const QStyleOptionViewItem &option,
                              const QModelIndex &index) const;

private slots:
    void dataChanged();

private:
    void updateSbByModel(QSpinBox *spinBox,
                         const QModelIndex &index) const;
};

#endif // COMMONSPINBOXDELEGATE_H
