#include "RcClientConfig.h"

ClientIndexSet RcClientConfigMap::getEnabledSet() const
{
    ClientIndexSet set;
    for(auto it=cbegin(); it!=cend(); ++it)
        if(it->en)
            set << it.key();
    return set;
}

ClientIndexEnabledMap RcClientConfigMap::getClientIndexEnabledMap() const
{
    ClientIndexEnabledMap map;
    for(auto it=cbegin(); it!=cend(); ++it)
        map[it.key()] = it->en;
    return map;
}

