//
//    Copyright 2014 AFI Electronics
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef BMNTRCREGS_H
#define BMNTRCREGS_H

#include "mregdev/MregDeviceAdcm.h"

// Control registers
enum {
    REG_DEVICE_CTRL = mlink::MregDeviceAdcm::ADCM16_CTRL_REG,//0x40, //64
};

constexpr const quint16 REG_DEVICE_CTRL_BIT_SOFTCLEAR = 0x0001;
constexpr const quint16 REG_DEVICE_CTRL_BIT_LOCK_COUNTERS = 0x0002;
constexpr const quint16 REG_DEVICE_CTRL_BIT_RUN = 0x8000;

#endif // BMNTRCREGS_H
