//
//    Copyright 2021 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
#include "app/RunGuard.h"
#include "base/Globals.h"
#include "base/app/DaqCoreApp.h"

#include "Core.h"
#include "MetricAggrApp.h"

int main(int argc, char *argv[])
{
    Globals::setDaqModule(DaqModule(DaqModule::Type::MetricAggr));
    MetricAggrApp app(argc, argv);
    app.init();

    RunGuard::runSingleOrExit();
    Core w;

    return app.exec();
}
