#ifndef EVBFILENAMEDIALOG_H
#define EVBFILENAMEDIALOG_H

#include <QDialog>

#include "EvbWriterConfig.h"

namespace Ui {
class EvbFileNameDialog;
}

class EvbFileNameDialog : public QDialog
{
    Q_OBJECT

public:
    explicit EvbFileNameDialog(QWidget *parent = nullptr);
    ~EvbFileNameDialog();

signals: void writerConfigChanged(const EvbWriterConfig &) const;
public slots: void setWriterConfig(const EvbWriterConfig &cfg);

private slots:
    void on_lineEditPrefix_textEdited(const QString &str);
    void checkBoxtoggled(bool checked);

private:
    void updateGui() const;

    Ui::EvbFileNameDialog *ui;
    EvbWriterConfig config;
};

#endif // EVBFILENAMEDIALOG_H
