#ifndef RUNCONTROL_H
#define RUNCONTROL_H

#include <QWidget>
#include "fsm/FsmState.h"

namespace Ui {
class RunControl;
}

class RunControl : public QWidget
{
    Q_OBJECT

public:
    explicit RunControl(QWidget *parent = nullptr);
    ~RunControl();

public slots:
    void onStateChanged(const FsmState &cur) const;

signals:
    void startLocalRun();
    void stopLocalRun();

private:
    Ui::RunControl *ui;
};

#endif // RUNCONTROL_H
