#include "ViewerMainWindow.h"
#include "AfiViewerStartupOptions.h"
#include "AfiViewerApp.h"
#include "base/app/RunGuard.h"

#include "base/Globals.h"
#include "mongo/PrintConfigMap.h"

int main(int argc, char *argv[])
{
    Globals::setDaqModuleType(DaqModule::Type::AfiViewer);
    AfiViewerApp daqApp(argc, argv);
    daqApp.init();

    if(daqApp.hasConfigListOpt())
        printConfigMap();

    RunGuard::runSingleOrExit();

    int res =1;
    ViewerMainWindow w(daqApp.getStartupOptions());

    w.show();
    res = daqApp.exec();

    return res;
}
