#ifndef CLOCKDIVIDERSTATUS_H
#define CLOCKDIVIDERSTATUS_H

#include <QMetaType>

struct ClockDividerStatus
{
    friend bool operator==(const ClockDividerStatus &, const ClockDividerStatus &) = default;
    bool needSync() const { return tmValid && !adcPhaseOk; }

    bool tmValid = false;
    bool adcPhaseOk = false;
};
Q_DECLARE_METATYPE(ClockDividerStatus)

#endif // CLOCKDIVIDERSTATUS_H
