#ifndef PLLSI5326MOD_H
#define PLLSI5326MOD_H

#include "device-modules/BaseDeviceModule.h"

class PllSi5326Module : public BaseDeviceModule<PllSi5326Module>
{
public:
    explicit PllSi5326Module(const MregBusInterface &bus);

    static QList<AFI_SDB_ID> getSupportedSdbIds();

    void post_init() override;

private:
    bool waitFsmState(quint16 state);
    bool patchPllConfig();
};

#endif // PLLSI5326MOD_H
